org.apache.felix.ipojo

## Interface ContextSource

All Known Implementing Classes:
  InstanceConfigurationSource, SystemPropertiesSource

    public interface ContextSource

Context Source service interface. A context source advertises of context changes.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Dictionary` `getContext()` Gets the entire context.
`java.lang.Object` `getProperty(java.lang.String property)` Gets the current value of the given property.
`void` `registerContextListener(ContextListener listener, java.lang.String[] properties)` Registers a context listener on the given set of properties.
`void` `unregisterContextListener(ContextListener listener)` Unregisters the given context listener.

### Method Detail

#### getProperty

    java.lang.Object getProperty(java.lang.String property)

Gets the current value of the given property.

Parameters:
  `property` - property name
Returns:
  the property value (`null` if unknown)

#### getContext

    java.util.Dictionary getContext()

Gets the entire context.

Returns:
  the dictionary [Property, Value]

#### registerContextListener

    void registerContextListener(ContextListener listener,
                                 java.lang.String[] properties)

Registers a context listener on the given set of properties. The listener will be notified of every changes made on monitored properties.

Parameters:
  `listener` - the context listener to register.
  `properties` - property set monitored by the listener.

#### unregisterContextListener

    void unregisterContextListener(ContextListener listener)

Unregisters the given context listener.

Parameters:
  `listener` - the listener to unregister.